import { jsx } from "react/jsx-runtime";
import { Door as Door$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Door = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Door", ...props, children: /* @__PURE__ */ jsx(Door$1, { weight: variant }) });
  }
);
Door.displayName = "Door";
Object.assign(Door, { isGdsIcon: true });
export {
  Door
};
